# $Revision: 1.10 $, $Date: 2002/09/09 10:12:49 $
Summary:	pixieplus - image viewer for KDE
Summary(pl):	pixieplus - przegldarka obrazkw dla KDE
Name:		pixieplus
Version:	0.3
Release:	3
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://www.mosfet.org/pixie/%{name}-kde-%{version}.tar.gz
Patch0:		%{name}-am16.patch
URL:		http://www.mosfet.org/pixie/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRequires:	libtool
BuildRequires:	libltdl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_htmldir	/usr/share/doc/kde/HTML

%description
Pixie is designed to allow you to efficently browse, manage, and view
large numbers of images as well as do basic editing such as adjust
contrast/brightness, scale, and apply effects. For Windows users, you
can think of it as a combination of ACDSee(TM) and Paint Shop Pro(TM).

%description -l pl
Pixie jest narzdziem sucym do przegldania i zarzdzania du
iloci plikw graficznych umoliwiajcym prost edycj obrazw
(poziomy jasnoci i kontrastu, skalowanie oraz efekty dodatkowe).

%prep
%setup -q -n %{name}-kde-%{version}
#%patch0 -p1

%build
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir

CFLAGS="%{rpmcflags}" CXXFLAGS="%{rpmcflags}"
#%{__make} -f Makefile.cvs
%configure2_13

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Graphics/Viewers

%{__make} install DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_applnkdir}/Graphics/*.desktop $RPM_BUILD_ROOT%{_applnkdir}/Graphics/Viewers/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*
%{_includedir}/*
%{_datadir}/apps/pixie
%dir %{_datadir}/apps/konqueror/servicemenus
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/mimelnk/image/*.desktop
%{_applnkdir}/Graphics/Viewers/*.desktop
%{_pixmapsdir}/*/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pixieplus.spec,v $
Revision 1.10  2002/09/09 10:12:49  qboosh
- removed dirs that belong to kdelibs, konqueror, XFree86-libs and applnk; release 3

Revision 1.9  2002/08/31 16:13:48  blues
- release 2 - STBR

Revision 1.8  2002/08/15 20:21:57  jack
- Added BR: libltdl-devel
- Bumped release to 1.2

Revision 1.7  2002/08/15 18:59:07  blues
- patch commented out

Revision 1.6  2002/08/15 18:51:59  blues
- release 1.1 - disable auto-stuff regeneration

Revision 1.5  2002/07/28 14:52:08  maryush
- updated to 0.3 (KDE3)
- STBR Blues ;)

Revision 1.4  2002/07/28 14:21:07  blues
- not KDE2 - KDE only

Revision 1.3  2002/07/28 13:50:07  kloczek
- fixes Source0 and %setup,
- added am16 patch.

Revision 1.2  2002/07/28 13:24:57  kloczek
- adapterized.

Revision 1.1  2002/07/28 13:09:53  maryush
- new version of spec name (old pixieplus-kde2.spec)

Revision 1.2  2002/04/15 09:32:36  qboosh
- text formatting in descriptions

Revision 1.1  2002/04/14 23:13:09  maryush
- Initial PLD version
